﻿@{
    ViewData["Title"] = "Home Page";
}

<div class="d-flex justify-content-center mt-5">

    <img class="site-logo" src="/imgs/yaalla-logo.png" alt="Yaalla url shortener"  />

</div>

<div class="d-flex justify-content-center mt-5">

    <section>
        <form>
            <input id="txt-link" type="text" placeholder="Your link...">
            <button type="submit" class="btn first">
                <i class="angle double right icon"></i>
                <span class="start">Start Now</span>
                <span class="done">Yor short link is bellow!</span>
            </button>
        </form>
    </section>

</div>
<br />
<br />
<br />
<div class="clearfix"></div>
<div class="d-flex justify-content-center mt-5">
    <div class="result">
        <input type="text" id="result" />
        <span class="focus-border"></span>
    </div>
  
</div>


@section Scripts{
    <script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.2.0/anime.min.js"></script>
    <script>
        $(document).ready(function () {
            var basicTimeline = anime.timeline(),
                doneTimeline = anime.timeline();
            var trigger = true;
            var done = false;

            $('form .btn').click(function (e) {
                e.preventDefault();
                var btn = $(this);
                if ($(this).hasClass('first')) {
                    trigger = false;
                    $(this).removeClass('first').addClass('active');
                    basicTimeline
                        .add({
                            targets: 'button',
                            width: 65,
                            paddingLeft: 17,
                            paddingRight: 17,
                            translateX: 97,
                            scale: 1.2,
                            duration: 1500,
                            right: 13
                        })
                        .add({
                            targets: 'form input',
                            width: "35rem",
                            opacity: 1,
                            duration: 2000,
                            offset: '-=1500'
                        })
                        .add({
                            targets: 'form button .icon',
                            opacity: 1,
                            translateX: 15,
                            duration: 2000,
                            offset: '-=1700',
                            complete: function (anim) {
                                trigger = true;
                            }
                        })
                }
                else if ($(this).hasClass('active') && trigger && !done) {
                    if ($("#txt-link").val() == "") {
                        return false;
                    }

                    $.ajax({

                        url: "/Home/AddLink?link=" + $("#txt-link").val(),
                        type: "Get",
                        dataType: "json",
                        processData: false,
                        contentType: false,
                        success: function (data) {
                            done = true;
                            $(btn).removeClass('active').addClass('done');
                            doneTimeline
                                .add({
                                    targets: 'button',
                                    translateX: 180,
                                    duration: 1500,
                                    scale: 1.2
                                })
                                .add({
                                    targets: 'button .icon',
                                    opacity: 0,
                                    duration: 1000,
                                    offset: '-=1200'
                                })
                                .add({
                                    targets: 'button',
                                    width: "22rem",
                                    scale: 1.2,
                                    translateX: -23,
                                    duration: 1500,
                                    offset: '-=1000'
                                })
                                .add({
                                    targets: 'form input',
                                    width: 0,
                                    translateX: -193,
                                    duration: 1500,
                                    offset: '-=1500'
                                })
                                .add({
                                    targets: 'form button .done',
                                    opacity: 1,
                                    duration: 1000,
                                    offset: '-=1500'
                                })


                            setTimeout(function () {
                                $("#result").val("yaalla.xyz/" + data.response.code)
                                $(".result").addClass("active")
                            }, 200);
                        },
                        error: function (data) {

                        }
                    });
                }
            });

        });
    </script>
}

